import{S as In,i as En,s as Pn,e as t,k as r,w as v,t as p,M as Tn,c as n,d as a,m as o,a as i,x as y,h as c,b as l,G as e,g as u,y as x,L as An,q as w,o as k,B as j,v as Sn}from"../../chunks/vendor-hf-doc-builder.js";import{I as _}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as Mt}from"../../chunks/CodeBlock-hf-doc-builder.js";function Nn(Rt){let $,ke,I,U,Xs,Q,aa,se,ta,je,q,na,Y,la,ia,be,E,M,ee,Z,ra,ae,oa,_e,X,$e,P,R,te,ss,pa,ne,ca,Ie,g,ha,le,ua,fa,es,da,ga,as,ma,va,ie,ya,xa,Ee,Ns,wa,Pe,T,D,re,ts,ka,oe,ja,Te,ns,Ae,A,z,pe,ls,ba,ce,_a,Se,S,W,he,is,$a,ue,Ia,Ne,f,rs,Ls,Ea,Pa,os,Cs,Ta,Aa,ps,Fs,Sa,Na,cs,Hs,La,Ca,hs,Us,Fa,Ha,us,qs,Ua,qa,fs,Ms,Ma,Ra,ds,Rs,Da,za,gs,Ds,Wa,Ba,ms,zs,Ja,Ga,vs,Ws,Oa,Va,ys,Bs,Ka,Qa,xs,Js,Ya,Le,N,B,fe,ws,Za,de,Xa,Ce,L,ks,Gs,st,et,js,Os,at,Fe,C,J,ge,bs,tt,me,nt,He,m,_s,Vs,lt,it,$s,Ks,rt,ot,Is,Qs,pt,ct,Es,Ys,ht,Ue,F,G,ve,Ps,ut,ye,ft,qe,Ts,Me,H,O,xe,As,dt,we,gt,Re,V,mt,Ss,vt,yt,De,Zs,xt,ze;return Q=new _({}),Z=new _({}),X=new Mt({props:{code:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`,highlighted:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`}}),ss=new _({}),ts=new _({}),ns=new Mt({props:{code:`import { HfInference } from '@huggingface/inference'

const hf = new HfInference('your api key')

// Natural Language

await hf.fillMask({
  model: 'bert-base-uncased',
  inputs: '[MASK] world!'
})

await hf.summarization({
  model: 'facebook/bart-large-cnn',
  inputs:
    'The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.',
  parameters: {
    max_length: 100
  }
})

await hf.questionAnswer({
  model: 'deepset/roberta-base-squad2',
  inputs: {
    question: 'What is the capital of France?',
    context: 'The capital of France is Paris.'
  }
})

await hf.tableQuestionAnswer({
  model: 'google/tapas-base-finetuned-wtq',
  inputs: {
    query: 'How many stars does the transformers repository have?',
    table: {
      Repository: ['Transformers', 'Datasets', 'Tokenizers'],
      Stars: ['36542', '4512', '3934'],
      Contributors: ['651', '77', '34'],
      'Programming language': ['Python', 'Python', 'Rust, Python and NodeJS']
    }
  }
})

await hf.textClassification({
  model: 'distilbert-base-uncased-finetuned-sst-2-english',
  inputs: 'I like you. I love you.'
})

await hf.textGeneration({
  model: 'gpt2',
  inputs: 'The answer to the universe is'
})

await hf.tokenClassification({
  model: 'dbmdz/bert-large-cased-finetuned-conll03-english',
  inputs: 'My name is Sarah Jessica Parker but you can call me Jessica'
})

await hf.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await hf.zeroShotClassification({
  model: 'facebook/bart-large-mnli',
  inputs: [
    'Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!'
  ],
  parameters: { candidate_labels: ['refund', 'legal', 'faq'] }
})

await hf.conversational({
  model: 'microsoft/DialoGPT-large',
  inputs: {
    past_user_inputs: ['Which movie is the best ?'],
    generated_responses: ['It is Die Hard for sure.'],
    text: 'Can you explain why ?'
  }
})

await hf.featureExtraction({
  model: 'sentence-transformers/paraphrase-xlm-r-multilingual-v1',
  inputs: {
    source_sentence: 'That is a happy person',
    sentences: [
      'That is a happy dog',
      'That is a very happy person',
      'Today is a sunny day'
    ]
  }
})

// Audio

await hf.automaticSpeechRecognition({
  model: 'facebook/wav2vec2-large-960h-lv60-self',
  data: readFileSync('test/sample1.flac')
})

await hf.audioClassification({
  model: 'superb/hubert-large-superb-er',
  data: readFileSync('test/sample1.flac')
})

// Computer Vision

await hf.imageClassification({
  data: readFileSync('test/cheetah.png'),
  model: 'google/vit-base-patch16-224'
})

await hf.objectDetection({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50'
})

await hf.imageSegmentation({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50-panoptic'
})

await hf.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/inference&#x27;</span>

<span class="hljs-keyword">const</span> hf = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-string">&#x27;your api key&#x27;</span>)

<span class="hljs-comment">// Natural Language</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">fillMask</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;bert-base-uncased&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;[MASK] world!&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">summarization</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-cnn&#x27;</span>,
  <span class="hljs-attr">inputs</span>:
    <span class="hljs-string">&#x27;The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">max_length</span>: <span class="hljs-number">100</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">questionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;deepset/roberta-base-squad2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">question</span>: <span class="hljs-string">&#x27;What is the capital of France?&#x27;</span>,
    <span class="hljs-attr">context</span>: <span class="hljs-string">&#x27;The capital of France is Paris.&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tableQuestionAnswer</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/tapas-base-finetuned-wtq&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">query</span>: <span class="hljs-string">&#x27;How many stars does the transformers repository have?&#x27;</span>,
    <span class="hljs-attr">table</span>: {
      <span class="hljs-title class_">Repository</span>: [<span class="hljs-string">&#x27;Transformers&#x27;</span>, <span class="hljs-string">&#x27;Datasets&#x27;</span>, <span class="hljs-string">&#x27;Tokenizers&#x27;</span>],
      <span class="hljs-title class_">Stars</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>, <span class="hljs-string">&#x27;4512&#x27;</span>, <span class="hljs-string">&#x27;3934&#x27;</span>],
      <span class="hljs-title class_">Contributors</span>: [<span class="hljs-string">&#x27;651&#x27;</span>, <span class="hljs-string">&#x27;77&#x27;</span>, <span class="hljs-string">&#x27;34&#x27;</span>],
      <span class="hljs-string">&#x27;Programming language&#x27;</span>: [<span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Rust, Python and NodeJS&#x27;</span>]
    }
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;distilbert-base-uncased-finetuned-sst-2-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;I like you. I love you.&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textGeneration</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;gpt2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tokenClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;dbmdz/bert-large-cased-finetuned-conll03-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Sarah Jessica Parker but you can call me Jessica&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">zeroShotClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-mnli&#x27;</span>,
  <span class="hljs-attr">inputs</span>: [
    <span class="hljs-string">&#x27;Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!&#x27;</span>
  ],
  <span class="hljs-attr">parameters</span>: { <span class="hljs-attr">candidate_labels</span>: [<span class="hljs-string">&#x27;refund&#x27;</span>, <span class="hljs-string">&#x27;legal&#x27;</span>, <span class="hljs-string">&#x27;faq&#x27;</span>] }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">conversational</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;microsoft/DialoGPT-large&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">past_user_inputs</span>: [<span class="hljs-string">&#x27;Which movie is the best ?&#x27;</span>],
    <span class="hljs-attr">generated_responses</span>: [<span class="hljs-string">&#x27;It is Die Hard for sure.&#x27;</span>],
    <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Can you explain why ?&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">featureExtraction</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;sentence-transformers/paraphrase-xlm-r-multilingual-v1&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">source_sentence</span>: <span class="hljs-string">&#x27;That is a happy person&#x27;</span>,
    <span class="hljs-attr">sentences</span>: [
      <span class="hljs-string">&#x27;That is a happy dog&#x27;</span>,
      <span class="hljs-string">&#x27;That is a very happy person&#x27;</span>,
      <span class="hljs-string">&#x27;Today is a sunny day&#x27;</span>
    ]
  }
})

<span class="hljs-comment">// Audio</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">automaticSpeechRecognition</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/wav2vec2-large-960h-lv60-self&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">audioClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;superb/hubert-large-superb-er&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-comment">// Computer Vision</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageClassification</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cheetah.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/vit-base-patch16-224&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">objectDetection</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageSegmentation</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50-panoptic&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),ls=new _({}),is=new _({}),ws=new _({}),bs=new _({}),Ps=new _({}),Ts=new Mt({props:{code:'HF_ACCESS_TOKEN="your access token" npm run test',highlighted:"HF_ACCESS_TOKEN=&quot;your access token&quot; npm run test"}}),As=new _({}),{c(){$=t("meta"),ke=r(),I=t("h1"),U=t("a"),Xs=t("span"),v(Q.$$.fragment),aa=r(),se=t("span"),ta=p("\u{1F917} Hugging Face Inference API"),je=r(),q=t("p"),na=p("A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),Y=t("a"),la=p("Hugging Face"),ia=p("."),be=r(),E=t("h2"),M=t("a"),ee=t("span"),v(Z.$$.fragment),ra=r(),ae=t("span"),oa=p("Install"),_e=r(),v(X.$$.fragment),$e=r(),P=t("h2"),R=t("a"),te=t("span"),v(ss.$$.fragment),pa=r(),ne=t("span"),ca=p("Usage"),Ie=r(),g=t("p"),ha=p("\u2757"),le=t("strong"),ua=p("Important note:"),fa=p(" Using an API key is optional to get started, however you will be rate limited eventually. Join "),es=t("a"),da=p("Hugging Face"),ga=p(" and then visit "),as=t("a"),ma=p("access tokens"),va=p(" to generate your API key for "),ie=t("strong"),ya=p("free"),xa=p("."),Ee=r(),Ns=t("p"),wa=p("Your API key should be kept private. If you need to protect it in front-end applications, we suggest setting up a proxy server that stores the API key."),Pe=r(),T=t("h3"),D=t("a"),re=t("span"),v(ts.$$.fragment),ka=r(),oe=t("span"),ja=p("Basic examples"),Te=r(),v(ns.$$.fragment),Ae=r(),A=t("h2"),z=t("a"),pe=t("span"),v(ls.$$.fragment),ba=r(),ce=t("span"),_a=p("Supported Tasks"),Se=r(),S=t("h3"),W=t("a"),he=t("span"),v(is.$$.fragment),$a=r(),ue=t("span"),Ia=p("Natural Language Processing"),Ne=r(),f=t("ul"),rs=t("li"),Ls=t("input"),Ea=p(" Fill mask"),Pa=r(),os=t("li"),Cs=t("input"),Ta=p(" Summarization"),Aa=r(),ps=t("li"),Fs=t("input"),Sa=p(" Question answering"),Na=r(),cs=t("li"),Hs=t("input"),La=p(" Table question answering"),Ca=r(),hs=t("li"),Us=t("input"),Fa=p(" Text classification"),Ha=r(),us=t("li"),qs=t("input"),Ua=p(" Text generation"),qa=r(),fs=t("li"),Ms=t("input"),Ma=p(" Text2Text generation"),Ra=r(),ds=t("li"),Rs=t("input"),Da=p(" Token classification"),za=r(),gs=t("li"),Ds=t("input"),Wa=p(" Named entity recognition"),Ba=r(),ms=t("li"),zs=t("input"),Ja=p(" Translation"),Ga=r(),vs=t("li"),Ws=t("input"),Oa=p(" Zero-shot classification"),Va=r(),ys=t("li"),Bs=t("input"),Ka=p(" Conversational"),Qa=r(),xs=t("li"),Js=t("input"),Ya=p(" Feature extraction"),Le=r(),N=t("h3"),B=t("a"),fe=t("span"),v(ws.$$.fragment),Za=r(),de=t("span"),Xa=p("Audio"),Ce=r(),L=t("ul"),ks=t("li"),Gs=t("input"),st=p(" Automatic speech recognition"),et=r(),js=t("li"),Os=t("input"),at=p(" Audio classification"),Fe=r(),C=t("h3"),J=t("a"),ge=t("span"),v(bs.$$.fragment),tt=r(),me=t("span"),nt=p("Computer Vision"),He=r(),m=t("ul"),_s=t("li"),Vs=t("input"),lt=p(" Image classification"),it=r(),$s=t("li"),Ks=t("input"),rt=p(" Object detection"),ot=r(),Is=t("li"),Qs=t("input"),pt=p(" Image segmentation"),ct=r(),Es=t("li"),Ys=t("input"),ht=p(" Text to image"),Ue=r(),F=t("h2"),G=t("a"),ve=t("span"),v(Ps.$$.fragment),ut=r(),ye=t("span"),ft=p("Running tests"),qe=r(),v(Ts.$$.fragment),Me=r(),H=t("h2"),O=t("a"),xe=t("span"),v(As.$$.fragment),dt=r(),we=t("span"),gt=p("Finding appropriate models"),Re=r(),V=t("p"),mt=p("We have an informative documentation project called "),Ss=t("a"),vt=p("Tasks"),yt=p(" to list available models for each task and explain how each task works in detail."),De=r(),Zs=t("p"),xt=p("It also contains demos, example outputs, and other resources should you want to dig deeper into the ML side of things."),this.h()},l(s){const h=Tn('[data-svelte="svelte-1phssyn"]',document.head);$=n(h,"META",{name:!0,content:!0}),h.forEach(a),ke=o(s),I=n(s,"H1",{class:!0});var We=i(I);U=n(We,"A",{id:!0,class:!0,href:!0});var Dt=i(U);Xs=n(Dt,"SPAN",{});var zt=i(Xs);y(Q.$$.fragment,zt),zt.forEach(a),Dt.forEach(a),aa=o(We),se=n(We,"SPAN",{});var Wt=i(se);ta=c(Wt,"\u{1F917} Hugging Face Inference API"),Wt.forEach(a),We.forEach(a),je=o(s),q=n(s,"P",{});var Be=i(q);na=c(Be,"A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),Y=n(Be,"A",{href:!0,rel:!0});var Bt=i(Y);la=c(Bt,"Hugging Face"),Bt.forEach(a),ia=c(Be,"."),Be.forEach(a),be=o(s),E=n(s,"H2",{class:!0});var Je=i(E);M=n(Je,"A",{id:!0,class:!0,href:!0});var Jt=i(M);ee=n(Jt,"SPAN",{});var Gt=i(ee);y(Z.$$.fragment,Gt),Gt.forEach(a),Jt.forEach(a),ra=o(Je),ae=n(Je,"SPAN",{});var Ot=i(ae);oa=c(Ot,"Install"),Ot.forEach(a),Je.forEach(a),_e=o(s),y(X.$$.fragment,s),$e=o(s),P=n(s,"H2",{class:!0});var Ge=i(P);R=n(Ge,"A",{id:!0,class:!0,href:!0});var Vt=i(R);te=n(Vt,"SPAN",{});var Kt=i(te);y(ss.$$.fragment,Kt),Kt.forEach(a),Vt.forEach(a),pa=o(Ge),ne=n(Ge,"SPAN",{});var Qt=i(ne);ca=c(Qt,"Usage"),Qt.forEach(a),Ge.forEach(a),Ie=o(s),g=n(s,"P",{});var b=i(g);ha=c(b,"\u2757"),le=n(b,"STRONG",{});var Yt=i(le);ua=c(Yt,"Important note:"),Yt.forEach(a),fa=c(b," Using an API key is optional to get started, however you will be rate limited eventually. Join "),es=n(b,"A",{href:!0,rel:!0});var Zt=i(es);da=c(Zt,"Hugging Face"),Zt.forEach(a),ga=c(b," and then visit "),as=n(b,"A",{href:!0,rel:!0});var Xt=i(as);ma=c(Xt,"access tokens"),Xt.forEach(a),va=c(b," to generate your API key for "),ie=n(b,"STRONG",{});var sn=i(ie);ya=c(sn,"free"),sn.forEach(a),xa=c(b,"."),b.forEach(a),Ee=o(s),Ns=n(s,"P",{});var en=i(Ns);wa=c(en,"Your API key should be kept private. If you need to protect it in front-end applications, we suggest setting up a proxy server that stores the API key."),en.forEach(a),Pe=o(s),T=n(s,"H3",{class:!0});var Oe=i(T);D=n(Oe,"A",{id:!0,class:!0,href:!0});var an=i(D);re=n(an,"SPAN",{});var tn=i(re);y(ts.$$.fragment,tn),tn.forEach(a),an.forEach(a),ka=o(Oe),oe=n(Oe,"SPAN",{});var nn=i(oe);ja=c(nn,"Basic examples"),nn.forEach(a),Oe.forEach(a),Te=o(s),y(ns.$$.fragment,s),Ae=o(s),A=n(s,"H2",{class:!0});var Ve=i(A);z=n(Ve,"A",{id:!0,class:!0,href:!0});var ln=i(z);pe=n(ln,"SPAN",{});var rn=i(pe);y(ls.$$.fragment,rn),rn.forEach(a),ln.forEach(a),ba=o(Ve),ce=n(Ve,"SPAN",{});var on=i(ce);_a=c(on,"Supported Tasks"),on.forEach(a),Ve.forEach(a),Se=o(s),S=n(s,"H3",{class:!0});var Ke=i(S);W=n(Ke,"A",{id:!0,class:!0,href:!0});var pn=i(W);he=n(pn,"SPAN",{});var cn=i(he);y(is.$$.fragment,cn),cn.forEach(a),pn.forEach(a),$a=o(Ke),ue=n(Ke,"SPAN",{});var hn=i(ue);Ia=c(hn,"Natural Language Processing"),hn.forEach(a),Ke.forEach(a),Ne=o(s),f=n(s,"UL",{class:!0});var d=i(f);rs=n(d,"LI",{class:!0});var wt=i(rs);Ls=n(wt,"INPUT",{type:!0}),Ea=c(wt," Fill mask"),wt.forEach(a),Pa=o(d),os=n(d,"LI",{class:!0});var kt=i(os);Cs=n(kt,"INPUT",{type:!0}),Ta=c(kt," Summarization"),kt.forEach(a),Aa=o(d),ps=n(d,"LI",{class:!0});var jt=i(ps);Fs=n(jt,"INPUT",{type:!0}),Sa=c(jt," Question answering"),jt.forEach(a),Na=o(d),cs=n(d,"LI",{class:!0});var bt=i(cs);Hs=n(bt,"INPUT",{type:!0}),La=c(bt," Table question answering"),bt.forEach(a),Ca=o(d),hs=n(d,"LI",{class:!0});var _t=i(hs);Us=n(_t,"INPUT",{type:!0}),Fa=c(_t," Text classification"),_t.forEach(a),Ha=o(d),us=n(d,"LI",{class:!0});var $t=i(us);qs=n($t,"INPUT",{type:!0}),Ua=c($t," Text generation"),$t.forEach(a),qa=o(d),fs=n(d,"LI",{class:!0});var It=i(fs);Ms=n(It,"INPUT",{type:!0}),Ma=c(It," Text2Text generation"),It.forEach(a),Ra=o(d),ds=n(d,"LI",{class:!0});var Et=i(ds);Rs=n(Et,"INPUT",{type:!0}),Da=c(Et," Token classification"),Et.forEach(a),za=o(d),gs=n(d,"LI",{class:!0});var Pt=i(gs);Ds=n(Pt,"INPUT",{type:!0}),Wa=c(Pt," Named entity recognition"),Pt.forEach(a),Ba=o(d),ms=n(d,"LI",{class:!0});var Tt=i(ms);zs=n(Tt,"INPUT",{type:!0}),Ja=c(Tt," Translation"),Tt.forEach(a),Ga=o(d),vs=n(d,"LI",{class:!0});var At=i(vs);Ws=n(At,"INPUT",{type:!0}),Oa=c(At," Zero-shot classification"),At.forEach(a),Va=o(d),ys=n(d,"LI",{class:!0});var St=i(ys);Bs=n(St,"INPUT",{type:!0}),Ka=c(St," Conversational"),St.forEach(a),Qa=o(d),xs=n(d,"LI",{class:!0});var Nt=i(xs);Js=n(Nt,"INPUT",{type:!0}),Ya=c(Nt," Feature extraction"),Nt.forEach(a),d.forEach(a),Le=o(s),N=n(s,"H3",{class:!0});var Qe=i(N);B=n(Qe,"A",{id:!0,class:!0,href:!0});var un=i(B);fe=n(un,"SPAN",{});var fn=i(fe);y(ws.$$.fragment,fn),fn.forEach(a),un.forEach(a),Za=o(Qe),de=n(Qe,"SPAN",{});var dn=i(de);Xa=c(dn,"Audio"),dn.forEach(a),Qe.forEach(a),Ce=o(s),L=n(s,"UL",{class:!0});var Ye=i(L);ks=n(Ye,"LI",{class:!0});var Lt=i(ks);Gs=n(Lt,"INPUT",{type:!0}),st=c(Lt," Automatic speech recognition"),Lt.forEach(a),et=o(Ye),js=n(Ye,"LI",{class:!0});var Ct=i(js);Os=n(Ct,"INPUT",{type:!0}),at=c(Ct," Audio classification"),Ct.forEach(a),Ye.forEach(a),Fe=o(s),C=n(s,"H3",{class:!0});var Ze=i(C);J=n(Ze,"A",{id:!0,class:!0,href:!0});var gn=i(J);ge=n(gn,"SPAN",{});var mn=i(ge);y(bs.$$.fragment,mn),mn.forEach(a),gn.forEach(a),tt=o(Ze),me=n(Ze,"SPAN",{});var vn=i(me);nt=c(vn,"Computer Vision"),vn.forEach(a),Ze.forEach(a),He=o(s),m=n(s,"UL",{class:!0});var K=i(m);_s=n(K,"LI",{class:!0});var Ft=i(_s);Vs=n(Ft,"INPUT",{type:!0}),lt=c(Ft," Image classification"),Ft.forEach(a),it=o(K),$s=n(K,"LI",{class:!0});var Ht=i($s);Ks=n(Ht,"INPUT",{type:!0}),rt=c(Ht," Object detection"),Ht.forEach(a),ot=o(K),Is=n(K,"LI",{class:!0});var Ut=i(Is);Qs=n(Ut,"INPUT",{type:!0}),pt=c(Ut," Image segmentation"),Ut.forEach(a),ct=o(K),Es=n(K,"LI",{class:!0});var qt=i(Es);Ys=n(qt,"INPUT",{type:!0}),ht=c(qt," Text to image"),qt.forEach(a),K.forEach(a),Ue=o(s),F=n(s,"H2",{class:!0});var Xe=i(F);G=n(Xe,"A",{id:!0,class:!0,href:!0});var yn=i(G);ve=n(yn,"SPAN",{});var xn=i(ve);y(Ps.$$.fragment,xn),xn.forEach(a),yn.forEach(a),ut=o(Xe),ye=n(Xe,"SPAN",{});var wn=i(ye);ft=c(wn,"Running tests"),wn.forEach(a),Xe.forEach(a),qe=o(s),y(Ts.$$.fragment,s),Me=o(s),H=n(s,"H2",{class:!0});var sa=i(H);O=n(sa,"A",{id:!0,class:!0,href:!0});var kn=i(O);xe=n(kn,"SPAN",{});var jn=i(xe);y(As.$$.fragment,jn),jn.forEach(a),kn.forEach(a),dt=o(sa),we=n(sa,"SPAN",{});var bn=i(we);gt=c(bn,"Finding appropriate models"),bn.forEach(a),sa.forEach(a),Re=o(s),V=n(s,"P",{});var ea=i(V);mt=c(ea,"We have an informative documentation project called "),Ss=n(ea,"A",{href:!0,rel:!0});var _n=i(Ss);vt=c(_n,"Tasks"),_n.forEach(a),yt=c(ea," to list available models for each task and explain how each task works in detail."),ea.forEach(a),De=o(s),Zs=n(s,"P",{});var $n=i(Zs);xt=c($n,"It also contains demos, example outputs, and other resources should you want to dig deeper into the ML side of things."),$n.forEach(a),this.h()},h(){l($,"name","hf:doc:metadata"),l($,"content",JSON.stringify(Ln)),l(U,"id","hugging-face-inference-api"),l(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(U,"href","#hugging-face-inference-api"),l(I,"class","relative group"),l(Y,"href","https://huggingface.co/docs/api-inference/index"),l(Y,"rel","nofollow"),l(M,"id","install"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#install"),l(E,"class","relative group"),l(R,"id","usage"),l(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(R,"href","#usage"),l(P,"class","relative group"),l(es,"href","https://huggingface.co/join"),l(es,"rel","nofollow"),l(as,"href","https://huggingface.co/settings/tokens"),l(as,"rel","nofollow"),l(D,"id","basic-examples"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#basic-examples"),l(T,"class","relative group"),l(z,"id","supported-tasks"),l(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(z,"href","#supported-tasks"),l(A,"class","relative group"),l(W,"id","natural-language-processing"),l(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(W,"href","#natural-language-processing"),l(S,"class","relative group"),l(Ls,"type","checkbox"),Ls.checked=!0,Ls.disabled=!0,l(rs,"class","task-list-item"),l(Cs,"type","checkbox"),Cs.checked=!0,Cs.disabled=!0,l(os,"class","task-list-item"),l(Fs,"type","checkbox"),Fs.checked=!0,Fs.disabled=!0,l(ps,"class","task-list-item"),l(Hs,"type","checkbox"),Hs.checked=!0,Hs.disabled=!0,l(cs,"class","task-list-item"),l(Us,"type","checkbox"),Us.checked=!0,Us.disabled=!0,l(hs,"class","task-list-item"),l(qs,"type","checkbox"),qs.checked=!0,qs.disabled=!0,l(us,"class","task-list-item"),l(Ms,"type","checkbox"),Ms.checked=!0,Ms.disabled=!0,l(fs,"class","task-list-item"),l(Rs,"type","checkbox"),Rs.checked=!0,Rs.disabled=!0,l(ds,"class","task-list-item"),l(Ds,"type","checkbox"),Ds.checked=!0,Ds.disabled=!0,l(gs,"class","task-list-item"),l(zs,"type","checkbox"),zs.checked=!0,zs.disabled=!0,l(ms,"class","task-list-item"),l(Ws,"type","checkbox"),Ws.checked=!0,Ws.disabled=!0,l(vs,"class","task-list-item"),l(Bs,"type","checkbox"),Bs.checked=!0,Bs.disabled=!0,l(ys,"class","task-list-item"),l(Js,"type","checkbox"),Js.checked=!0,Js.disabled=!0,l(xs,"class","task-list-item"),l(f,"class","contains-task-list"),l(B,"id","audio"),l(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(B,"href","#audio"),l(N,"class","relative group"),l(Gs,"type","checkbox"),Gs.checked=!0,Gs.disabled=!0,l(ks,"class","task-list-item"),l(Os,"type","checkbox"),Os.checked=!0,Os.disabled=!0,l(js,"class","task-list-item"),l(L,"class","contains-task-list"),l(J,"id","computer-vision"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#computer-vision"),l(C,"class","relative group"),l(Vs,"type","checkbox"),Vs.checked=!0,Vs.disabled=!0,l(_s,"class","task-list-item"),l(Ks,"type","checkbox"),Ks.checked=!0,Ks.disabled=!0,l($s,"class","task-list-item"),l(Qs,"type","checkbox"),Qs.checked=!0,Qs.disabled=!0,l(Is,"class","task-list-item"),l(Ys,"type","checkbox"),Ys.checked=!0,Ys.disabled=!0,l(Es,"class","task-list-item"),l(m,"class","contains-task-list"),l(G,"id","running-tests"),l(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(G,"href","#running-tests"),l(F,"class","relative group"),l(O,"id","finding-appropriate-models"),l(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(O,"href","#finding-appropriate-models"),l(H,"class","relative group"),l(Ss,"href","https://huggingface.co/tasks"),l(Ss,"rel","nofollow")},m(s,h){e(document.head,$),u(s,ke,h),u(s,I,h),e(I,U),e(U,Xs),x(Q,Xs,null),e(I,aa),e(I,se),e(se,ta),u(s,je,h),u(s,q,h),e(q,na),e(q,Y),e(Y,la),e(q,ia),u(s,be,h),u(s,E,h),e(E,M),e(M,ee),x(Z,ee,null),e(E,ra),e(E,ae),e(ae,oa),u(s,_e,h),x(X,s,h),u(s,$e,h),u(s,P,h),e(P,R),e(R,te),x(ss,te,null),e(P,pa),e(P,ne),e(ne,ca),u(s,Ie,h),u(s,g,h),e(g,ha),e(g,le),e(le,ua),e(g,fa),e(g,es),e(es,da),e(g,ga),e(g,as),e(as,ma),e(g,va),e(g,ie),e(ie,ya),e(g,xa),u(s,Ee,h),u(s,Ns,h),e(Ns,wa),u(s,Pe,h),u(s,T,h),e(T,D),e(D,re),x(ts,re,null),e(T,ka),e(T,oe),e(oe,ja),u(s,Te,h),x(ns,s,h),u(s,Ae,h),u(s,A,h),e(A,z),e(z,pe),x(ls,pe,null),e(A,ba),e(A,ce),e(ce,_a),u(s,Se,h),u(s,S,h),e(S,W),e(W,he),x(is,he,null),e(S,$a),e(S,ue),e(ue,Ia),u(s,Ne,h),u(s,f,h),e(f,rs),e(rs,Ls),e(rs,Ea),e(f,Pa),e(f,os),e(os,Cs),e(os,Ta),e(f,Aa),e(f,ps),e(ps,Fs),e(ps,Sa),e(f,Na),e(f,cs),e(cs,Hs),e(cs,La),e(f,Ca),e(f,hs),e(hs,Us),e(hs,Fa),e(f,Ha),e(f,us),e(us,qs),e(us,Ua),e(f,qa),e(f,fs),e(fs,Ms),e(fs,Ma),e(f,Ra),e(f,ds),e(ds,Rs),e(ds,Da),e(f,za),e(f,gs),e(gs,Ds),e(gs,Wa),e(f,Ba),e(f,ms),e(ms,zs),e(ms,Ja),e(f,Ga),e(f,vs),e(vs,Ws),e(vs,Oa),e(f,Va),e(f,ys),e(ys,Bs),e(ys,Ka),e(f,Qa),e(f,xs),e(xs,Js),e(xs,Ya),u(s,Le,h),u(s,N,h),e(N,B),e(B,fe),x(ws,fe,null),e(N,Za),e(N,de),e(de,Xa),u(s,Ce,h),u(s,L,h),e(L,ks),e(ks,Gs),e(ks,st),e(L,et),e(L,js),e(js,Os),e(js,at),u(s,Fe,h),u(s,C,h),e(C,J),e(J,ge),x(bs,ge,null),e(C,tt),e(C,me),e(me,nt),u(s,He,h),u(s,m,h),e(m,_s),e(_s,Vs),e(_s,lt),e(m,it),e(m,$s),e($s,Ks),e($s,rt),e(m,ot),e(m,Is),e(Is,Qs),e(Is,pt),e(m,ct),e(m,Es),e(Es,Ys),e(Es,ht),u(s,Ue,h),u(s,F,h),e(F,G),e(G,ve),x(Ps,ve,null),e(F,ut),e(F,ye),e(ye,ft),u(s,qe,h),x(Ts,s,h),u(s,Me,h),u(s,H,h),e(H,O),e(O,xe),x(As,xe,null),e(H,dt),e(H,we),e(we,gt),u(s,Re,h),u(s,V,h),e(V,mt),e(V,Ss),e(Ss,vt),e(V,yt),u(s,De,h),u(s,Zs,h),e(Zs,xt),ze=!0},p:An,i(s){ze||(w(Q.$$.fragment,s),w(Z.$$.fragment,s),w(X.$$.fragment,s),w(ss.$$.fragment,s),w(ts.$$.fragment,s),w(ns.$$.fragment,s),w(ls.$$.fragment,s),w(is.$$.fragment,s),w(ws.$$.fragment,s),w(bs.$$.fragment,s),w(Ps.$$.fragment,s),w(Ts.$$.fragment,s),w(As.$$.fragment,s),ze=!0)},o(s){k(Q.$$.fragment,s),k(Z.$$.fragment,s),k(X.$$.fragment,s),k(ss.$$.fragment,s),k(ts.$$.fragment,s),k(ns.$$.fragment,s),k(ls.$$.fragment,s),k(is.$$.fragment,s),k(ws.$$.fragment,s),k(bs.$$.fragment,s),k(Ps.$$.fragment,s),k(Ts.$$.fragment,s),k(As.$$.fragment,s),ze=!1},d(s){a($),s&&a(ke),s&&a(I),j(Q),s&&a(je),s&&a(q),s&&a(be),s&&a(E),j(Z),s&&a(_e),j(X,s),s&&a($e),s&&a(P),j(ss),s&&a(Ie),s&&a(g),s&&a(Ee),s&&a(Ns),s&&a(Pe),s&&a(T),j(ts),s&&a(Te),j(ns,s),s&&a(Ae),s&&a(A),j(ls),s&&a(Se),s&&a(S),j(is),s&&a(Ne),s&&a(f),s&&a(Le),s&&a(N),j(ws),s&&a(Ce),s&&a(L),s&&a(Fe),s&&a(C),j(bs),s&&a(He),s&&a(m),s&&a(Ue),s&&a(F),j(Ps),s&&a(qe),j(Ts,s),s&&a(Me),s&&a(H),j(As),s&&a(Re),s&&a(V),s&&a(De),s&&a(Zs)}}}const Ln={local:"hugging-face-inference-api",sections:[{local:"install",title:"Install"},{local:"usage",sections:[{local:"basic-examples",title:"Basic examples"}],title:"Usage"},{local:"supported-tasks",sections:[{local:"natural-language-processing",title:"Natural Language Processing"},{local:"audio",title:"Audio"},{local:"computer-vision",title:"Computer Vision"}],title:"Supported Tasks"},{local:"running-tests",title:"Running tests"},{local:"finding-appropriate-models",title:"Finding appropriate models"}],title:"\u{1F917} Hugging Face Inference API"};function Cn(Rt){return Sn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qn extends In{constructor($){super();En(this,$,Cn,Nn,Pn,{})}}export{qn as default,Ln as metadata};
